function [ z ] = softTvec( in,kappa )

%IMPLEMENTS: the isotropic z update
insize = size(in);
z = in;
 for i = 1:insize(1)
     for j = 1:insize(2)
         stack = [in(i,j,1);in(i,j,2)];
         z(i,j,:) = max(0,(1 - (kappa/norm(stack))))*stack;
     end
 end
end

